> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Worker Tag

> Creates a new global tag and assigns it to the specified worker. The tag becomes available to assign to any worker.

<Info>
  This endpoint creates a **new global tag** and assigns it to the specified worker. Once created, the tag is available to assign to any worker via the [Add Worker Tag](/api-reference/v01.12.00/workers/add-worker-tag) endpoint.
</Info>


## OpenAPI

````yaml api-reference/v01.12.00/openapi-v01.12.00.json POST /workers/{id}/tags
openapi: 3.0.0
info:
  title: Roosted
  version: 0.1.12
  contact:
    name: Support
    url: https://support.roostedhr.com/support/home
    email: support@roostedhr.com
  description: |-
    Enterprise API

    Sandbox keys and Production keys are requested from support
servers:
  - url: https://api.roostedhr.com/api/1_12
  - url: https://sandbox.roostedhr.com/api/1_12
security:
  - X-API-KEY: []
tags:
  - name: Announcements
  - name: Areas
  - name: Clients
  - name: Company
  - name: Configuration
  - name: Events
  - name: Locations
  - name: Payroll Groups
  - name: Rate Cards
  - name: Shifts
  - name: Skillsets
  - name: Time Tracking
  - name: Wage Rules
  - name: Workers
paths:
  /workers/{id}/tags:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: Worker ID
    post:
      tags:
        - Workers
      summary: Create Worker Tag
      description: >-
        Creates a new global tag and assigns it to the specified worker. The tag
        becomes available to assign to any worker.
      operationId: post-worker-tag
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - text
              properties:
                text:
                  type: string
                  description: The label for the new tag.
                  example: New Tag
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkerTag'
              examples:
                Created tag:
                  value:
                    id: WzDHL
                    text: New Tag
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: WRK-900
                  error:
                    type: string
                    example: Text is required
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid or missing API key:
                  value:
                    code: ATH-100
                    error: Invalid or missing API key
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Insufficient permissions to manage workers:
                  value:
                    code: WRK-800
                    error: Insufficient permissions to manage workers
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Worker not found:
                  value:
                    code: WRK-100
                    error: Worker not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                An unexpected error occurred:
                  value:
                    code: WRK-900
                    error: An unexpected error occurred
components:
  schemas:
    WorkerTag:
      title: WorkerTag
      type: object
      description: A tag that can be assigned to workers.
      properties:
        id:
          type: string
          description: Unique tag identifier.
          example: WzDHL
        text:
          type: string
          description: The tag label.
          example: New Tag
      required:
        - id
        - text
  securitySchemes:
    X-API-KEY:
      name: X-API-KEY
      type: apiKey
      in: header

````